Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQIconDragItem Class Reference
[iconview module]

The TQIconDragItem class encapsulates a drag item. More...

`#include <ntqiconview.h>`

List of all member functions.

## Public Members

- TQIconDragItem ()
- virtual ~TQIconDragItem ()
- virtual TQByteArray data () const
- virtual void setData ( const TQByteArray & d )

## Detailed Description

The TQIconDragItem class encapsulates a drag item.

The TQIconDrag class uses a list of TQIconDragItems to support drag and drop operations.

In practice a TQIconDragItem object (or an object of a class derived from TQIconDragItem) is created for each icon view item which is dragged. Each of these TQIconDragItems is stored in a TQIconDrag object.

See TQIconView::dragObject() for more information.

See the fileiconview/qfileiconview.cpp and iconview/simple_dd/main.cpp examples.

See also Drag And Drop Classes.

## Member Function Documentation

### TQIconDragItem::TQIconDragItem ()

Constructs a TQIconDragItem with no data.

### TQIconDragItem::~TQIconDragItem ()`[virtual]`

Destructor.

### TQByteArray TQIconDragItem::data () const`[virtual]`

Returns the data contained in the TQIconDragItem.

### void TQIconDragItem::setData ( const TQByteArray & d )`[virtual]`

Sets the data for the TQIconDragItem to the data stored in the TQByteArray d.

Example: fileiconview/qfileiconview.cpp.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.